//
//Skybox
//

textures/klhjsd/mp_winsol
{
	qer_editorimage env/klhjsd/winter-solstice_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 150
	surfaceparm sky
	q3map_sun 1 1 1 100 270 15
	skyparms env/klhjsd/winter-solstice - -
}

//
//Fog
//

textures/klhjsd/fog
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	
	fogparms ( 0.85 0.83 0.8 ) 1024
}


//
//Glass
//

textures/klhjsd/glass
{
        qer_editorimage textures/effects/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

textures/klhjsd/slickglass
{
        qer_editorimage textures/effects/tinfx.tga
        qer_trans 0.5
	surfaceparm trans
	surfaceparm nodamage
        surfaceparm slick
        {
                map textures/effects/tinfx.tga
                tcgen environment
                blendFunc GL_ONE GL_ONE
                rgbGen identity
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
        }

}

//
//Ice
//

textures/klhjsd/ice
{
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/ice.tga
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

//
//Snow
//

textures/klhjsd/mud_snow
{
	qer_editorimage textures/klhjsd/mud_snow.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/mud_snow.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/mud_snows
{
	qer_editorimage textures/klhjsd/mud_snow.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/mud_snow.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/mud_snow2
{
	qer_editorimage textures/klhjsd/mud_snow2.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/mud_snow2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/mud_snow2s
{
	qer_editorimage textures/klhjsd/mud_snow2.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/mud_snow2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/snow
{
	qer_editorimage textures/klhjsd/snow.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/snow.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/snows
{
	qer_editorimage textures/klhjsd/snow.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/snow.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

//
//Ground
//

textures/klhjsd/snow_gravel
{
	qer_editorimage textures/klhjsd/snow_gravel.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/snow_gravel.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/snow_gravels
{
	qer_editorimage textures/klhjsd/snow_gravel.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/snow_gravel.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/snow_stones
{
	qer_editorimage textures/klhjsd/snow_stones.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/snow_stones.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/snow_stoness
{
	qer_editorimage textures/klhjsd/snow_stones.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/snow_stones.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

//
//Walls
//

textures/klhjsd/bright_stone
{
	qer_editorimage textures/klhjsd/bright_stone.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/bright_stone.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stones
{
	qer_editorimage textures/klhjsd/bright_stone.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/bright_stone.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}


textures/klhjsd/bright_stone_snow1
{
	qer_editorimage textures/klhjsd/bright_stone_snow1.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/bright_stone_snow1.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stone_snow1s
{
	qer_editorimage textures/klhjsd/bright_stone_snow1.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/bright_stone_snow1.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stone_snow2
{
	qer_editorimage textures/klhjsd/bright_stone_snow2.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/bright_stone_snow2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stone_snow2s
{
	qer_editorimage textures/klhjsd/bright_stone_snow2.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/bright_stone_snow2.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stone_snow_side
{
	qer_editorimage textures/klhjsd/bright_stone_snow_side.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/bright_stone_snow_side.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/bright_stone_snow_sides
{
	qer_editorimage textures/klhjsd/bright_stone_snow_side.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/bright_stone_snow_side.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/sn_snowwall
{
	qer_editorimage textures/klhjsd/sn_snowwall.jpg
	surfaceparm nodamage
	{
		map textures/klhjsd/sn_snowwall.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/klhjsd/sn_snowwalls
{
	qer_editorimage textures/klhjsd/sn_snowwall.jpg
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/klhjsd/sn_snowwall.jpg
	}
	{
		map $lightmap
		blendfunc filter
	}	
}
